module Test01
( prop
, Foo
, Nat(..)
, empty
, insert
) where


data Foo a = Foo [a]

data Nat = Zero
         | Succ Nat
  deriving (Eq, Ord)


empty :: Foo a
empty = Foo []

insert :: (Ord a) => a -> Foo a -> Foo a
insert x (Foo [])     = Foo [x]
insert x (Foo (y:ys))
  | x > y  = insert x (Foo ys)
  | x < y  = Foo (x:y:ys)
  | x == y = Foo (y:ys)

prop :: Foo Nat -> Bool
prop (Foo xs) = p' xs
  where
    p' [] = True
    p' (x:xs) = all (x<) xs && p' xs
