module Tests where

import Test

tests :: [Test]
tests = [caseListSimple
        , caseListBottomArg
        , caseTuple
        , caseTypeSynonym
        , caseSeparateModule
        , caseNewtype
        , caseNested
        , caseForArgument
        , caseForArgument2
        , caseForArgument3
        ]

caseListSimple :: Test
caseListSimple
  = test { modu = "CaseListSimple"
         , preOptions = ["--trace", "-d", "--ai-source", "--depth=10"]
         }

caseListBottomArg :: Test
caseListBottomArg
  = test { modu = "CaseListBottomArg"
         , preOptions = ["--trace", "-d", "--ai-source", "--depth=10"]
         }

caseTuple :: Test
caseTuple
  = test { modu = "CaseTuple"
         , preOptions = ["--trace", "-d", "--ai-source", "--depth=10"]
         }

caseTypeSynonym :: Test
caseTypeSynonym
  = test { modu = "CaseTypeSynonym"
         , preOptions = ["--trace", "-d", "--ai-source", "--depth=10"]
         }

caseSeparateModule :: Test
caseSeparateModule
  = test { modu = "CaseSeparateModule"
         , preOptions = ["--trace", "-d", "--ai-source", "--depth=10"]
         }

caseNewtype :: Test
caseNewtype
  = test { modu = "CaseNewtype"
         , preOptions = ["--trace", "-d", "--ai-source", "--depth=10"]
         }

caseNested :: Test
caseNested
  = test { modu = "CaseNested"
         , preOptions = ["--trace", "-d", "--ai-source", "--depth=10"]
         }

caseForArgument :: Test
caseForArgument
  = test { modu = "CaseForArgument"
         , preOptions = ["--trace", "-d", "--ai-source", "--depth=12", "--enable-case-arguments", "-iCaseForArgument", "-p"]
         }

caseForArgument2 :: Test
caseForArgument2
  = test { modu = "CaseForArgument2"
         , preOptions = ["--trace", "-d", "--ai-source", "--depth=12", "--enable-case-arguments", "-iCaseForArgument2", "-p"]
         }

caseForArgument3 :: Test
caseForArgument3
  = test { modu = "CaseForArgument3"
         , preOptions = ["--trace", "-d", "--ai-source", "--depth=12", "--enable-case-arguments", "-p"]
         }
