module Tests where

import Test

tests :: [Test]
tests = [recursion1, recursion2]

recursion1 :: Test
recursion1 
  = test { modu = "Recursion1"
         , preOptions = ["--trace", "-d", "--ai-test", "--depth=14", "--no-maximumExpressionDepth", "--no-maximumExpressionSize"]
         }

recursion2 :: Test
recursion2
  = test { modu = "Recursion2"
         , preOptions = ["-p", "--ai-source", "--ints=[0,1]", "--depth=14", "--no-cache", "--no-maximumExpressionDepth", "--no-maximumExpressionSize", "--enable-quiet"]
         , postOptions = ["--ghc-options='-O2'"]
         }
